Bug 699907 - Fix Coverity uninitialized variables issues
Summary: Fix Coverity uninitialized variables issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Admin
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 434915
TreeView+ depends on / blocked
 
Reported: 2011-04-26 21:53 UTC by Nathan Kinder
Modified: 2015-01-04 23:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-17 14:08:03 UTC


Attachments (Terms of Use)
Patch for cov#10844 (852 bytes, patch)
2011-04-26 21:57 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#10843 (3.09 KB, patch)
2011-04-26 22:11 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#10840 (1.36 KB, patch)
2011-04-27 15:21 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#10836 (1.04 KB, patch)
2011-04-27 16:03 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#10833 (844 bytes, patch)
2011-04-27 16:13 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff

Description Nathan Kinder 2011-04-26 21:53:38 UTC
A recent run of Coverity against adminserver reported some uninitialized variables issues.  We should fix these issues.

Comment 1 Nathan Kinder 2011-04-26 21:57:42 UTC
Created attachment 495042 [details]
Patch for cov#10844

Comment 2 Nathan Kinder 2011-04-26 22:11:24 UTC
Created attachment 495055 [details]
Patch for cov#10843

Comment 3 Nathan Kinder 2011-04-27 15:21:50 UTC
Created attachment 495270 [details]
Patch for cov#10840

Comment 4 Nathan Kinder 2011-04-27 16:03:54 UTC
Created attachment 495283 [details]
Patch for cov#10836

Comment 5 Nathan Kinder 2011-04-27 16:13:13 UTC
Created attachment 495286 [details]
Patch for cov#10833

Comment 6 Nathan Kinder 2011-04-27 16:35:52 UTC
Pushed patches to master.  Thanks to Rich for his reviews!

Counting objects: 36, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (25/25), done.
Writing objects: 100% (25/25), 3.37 KiB, done.
Total 25 (delta 19), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/admin.git
   0f9bcc0..0a28e3d  master -> master


Note You need to log in before you can comment on or make changes to this bug.